Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Exceptions Class Reference

This class is a namespace for exception-related static data and methods. More...

`#include <Exception.h>`

Collaboration diagram for TAO_Exceptions:

[legend]
List of all members.

## Static Public Methods
void | make_standard_typecode (CORBA::TypeCode_ptr &tcp, const char *name, char *buf, size_t buflen ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Make the TypeCode for a standard exception. More...
void | make_unknown_user_typecode (CORBA::TypeCode_ptr &tcp ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Make the TypeCode for the CORBA::UnknownUserException standard exception. More...
void | init (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Runtime initialization of all standard exception typecodes. Called from <CORBA::ORB_init>. More...
void | fini (void)
| Runtime finalization of all standard exception typecodes. More...
CORBA_SystemException * | create_system_exception (const char *id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Create a CORBA::SystemException given the interface repository ID. More...
## Static Public Attributes
ACE_Allocator * | global_allocator_
| This global allocator is used to initialize system exception typecodes. More...
## Static Private Attributes
int | initialized_ = 0
| Flag that denotes that the TAO's CORBA exceptions have been initialized. More...

## Detailed Description

This class is a namespace for exception-related static data and methods.

## Member Function Documentation

CORBA_SystemException * TAO_Exceptions::create_system_exception | ( | const char *id | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Create a CORBA::SystemException given the interface repository ID.

void TAO_Exceptions::fini | ( | void |  | ) | `[static]`

| Runtime finalization of all standard exception typecodes.

STANDARD_EXCEPTION_LIST void TAO_Exceptions::init | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[static]`

| Runtime initialization of all standard exception typecodes. Called from <CORBA::ORB_init>.

void TAO_Exceptions::make_standard_typecode | ( | CORBA::TypeCode_ptr & | tcp,
|  | const char * | name,
|  | char * | buffer,
|  | size_t buflen | ACE_ENV_ARG_DECL
| ) | `[static]`

| Make the TypeCode for a standard exception. When used correctly, initializing system exceptions is only an exercise in CPU time; it allocates no new memory.

void TAO_Exceptions::make_unknown_user_typecode | ( | CORBA::TypeCode_ptr &tcp | ACE_ENV_ARG_DECL | ) | `[static]`

| Make the TypeCode for the CORBA::UnknownUserException standard exception.

## Member Data Documentation

ACE_Allocator * TAO_Exceptions::global_allocator_`[static]`

| This global allocator is used to initialize system exception typecodes. Since at the time, the ORB is mostly still not available. Using a separate allocator prevents CDR routines from accessing the optimized allocators from the ORB.

int TAO_Exceptions::initialized_ = 0`[static, private]`

| Flag that denotes that the TAO's CORBA exceptions have been initialized.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp